XdkWrl: Node Class Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# Node Class Reference
[Base Types]

`#include <node.h>`

Inherits Node::EventOutHandle, Node::EventInHandle, and Node::FieldHandle.

Inherited by Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DeclaredNode, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

List of all members.

## Public Member Functions
| Node (const char *name="")
virtual Node * | duplicate () const=0
virtual Node * | duplicate (std::map< const Node *, Node * > &) const=0
virtual | ~Node ()
bool | hasName () const
const char * | name () const
void | setName (const char *)
virtual const char * | typeName () const=0
| FieldHandle ()
FieldTypeId | fieldTypeId () const
Node * | node () const
const char * | fieldName () const
const char * | fieldTypeName () const
bool | isExposed () const
SFBool * | sfBoolValue () const
SFColor * | sfColorValue () const
SFFloat * | sfFloatValue () const
SFImage * | sfImageValue () const
SFInt32 * | sfInt32Value () const
SFNode * | sfNodeValue () const
SFRotation * | sfRotationValue () const
SFString * | sfStringValue () const
SFTime * | sfTimeValue () const
SFVec2f * | sfVec2fValue () const
SFVec3f * | sfVec3fValue () const
MFColor * | mfColorValue () const
MFFloat * | mfFloatValue () const
MFInt32 * | mfInt32Value () const
MFNode * | mfNodeValue () const
MFRotation * | mfRotationValue () const
MFString * | mfStringValue () const
MFTime * | mfTimeValue () const
MFVec2f * | mfVec2fValue () const
MFVec3f * | mfVec3fValue () const
bool | operator== (const FieldHandle &h) const
bool | operator!= (const FieldHandle &h) const
| EventInHandle ()
FieldTypeId | fieldTypeId () const
Node * | node () const
const char * | fieldName () const
const char * | fieldTypeName () const
EventIn< SFBool > * | sfBoolValue () const
EventIn< SFColor > * | sfColorValue () const
EventIn< SFFloat > * | sfFloatValue () const
EventIn< SFImage > * | sfImageValue () const
EventIn< SFInt32 > * | sfInt32Value () const
EventIn< SFNode > * | sfNodeValue () const
EventIn< SFRotation > * | sfRotationValue () const
EventIn< SFString > * | sfStringValue () const
EventIn< SFTime > * | sfTimeValue () const
EventIn< SFVec2f > * | sfVec2fValue () const
EventIn< SFVec3f > * | sfVec3fValue () const
EventIn< MFColor > * | mfColorValue () const
EventIn< MFFloat > * | mfFloatValue () const
EventIn< MFInt32 > * | mfInt32Value () const
EventIn< MFNode > * | mfNodeValue () const
EventIn< MFRotation > * | mfRotationValue () const
EventIn< MFString > * | mfStringValue () const
EventIn< MFTime > * | mfTimeValue () const
EventIn< MFVec2f > * | mfVec2fValue () const
EventIn< MFVec3f > * | mfVec3fValue () const
bool | operator== (const EventInHandle &h) const
bool | operator!= (const EventInHandle &h) const
| EventOutHandle ()
FieldTypeId | fieldTypeId () const
Node * | node () const
const char * | fieldName () const
const char * | fieldTypeName () const
EventOut< SFBool > * | sfBoolValue () const
EventOut< SFColor > * | sfColorValue () const
EventOut< SFFloat > * | sfFloatValue () const
EventOut< SFImage > * | sfImageValue () const
EventOut< SFInt32 > * | sfInt32Value () const
EventOut< SFNode > * | sfNodeValue () const
EventOut< SFRotation > * | sfRotationValue () const
EventOut< SFString > * | sfStringValue () const
EventOut< SFTime > * | sfTimeValue () const
EventOut< SFVec2f > * | sfVec2fValue () const
EventOut< SFVec3f > * | sfVec3fValue () const
EventOut< MFColor > * | mfColorValue () const
EventOut< MFFloat > * | mfFloatValue () const
EventOut< MFInt32 > * | mfInt32Value () const
EventOut< MFNode > * | mfNodeValue () const
EventOut< MFRotation > * | mfRotationValue () const
EventOut< MFString > * | mfStringValue () const
EventOut< MFTime > * | mfTimeValue () const
EventOut< MFVec2f > * | mfVec2fValue () const
EventOut< MFVec3f > * | mfVec3fValue () const
bool | operator== (const EventOutHandle &h) const
bool | operator!= (const EventOutHandle &h) const
Field Access
virtual FieldHandle | field (const std::string &n)=0
virtual unsigned int | nbFields () const=0
virtual FieldHandle | field (unsigned int i)=0
virtual bool | isSetToDefaultValue (unsigned int i) const=0
Field Modification
Setting a field from a handle and a value.
virtual void | setField (const FieldHandle &f, const SFBool &)
virtual void | setField (const FieldHandle &f, const SFColor &)
virtual void | setField (const FieldHandle &f, const SFFloat &)
virtual void | setField (const FieldHandle &f, const SFImage &)
virtual void | setField (const FieldHandle &f, const SFInt32 &)
virtual void | setField (const FieldHandle &f, const SFNode &)
virtual void | setField (const FieldHandle &f, const SFRotation &)
virtual void | setField (const FieldHandle &f, const SFString &)
virtual void | setField (const FieldHandle &f, const SFTime &)
virtual void | setField (const FieldHandle &f, const SFVec2f &)
virtual void | setField (const FieldHandle &f, const SFVec3f &)
virtual void | setField (const FieldHandle &f, const MFColor &)
virtual void | setField (const FieldHandle &f, const MFFloat &)
virtual void | setField (const FieldHandle &f, const MFInt32 &)
virtual void | setField (const FieldHandle &f, const MFNode &)
virtual void | setField (const FieldHandle &f, const MFRotation &)
virtual void | setField (const FieldHandle &f, const MFString &)
virtual void | setField (const FieldHandle &f, const MFTime &)
virtual void | setField (const FieldHandle &f, const MFVec2f &)
virtual void | setField (const FieldHandle &f, const MFVec3f &)
Optimized Field Modification
Alternative to setField() functions that use swaps to be faster.
void | swapField (const FieldHandle &f, MFColor &)
void | swapField (const FieldHandle &f, MFFloat &)
void | swapField (const FieldHandle &f, MFInt32 &)
void | swapField (const FieldHandle &f, MFNode &)
void | swapField (const FieldHandle &f, MFRotation &)
void | swapField (const FieldHandle &f, MFString &)
void | swapField (const FieldHandle &f, MFTime &)
void | swapField (const FieldHandle &f, MFVec2f &)
void | swapField (const FieldHandle &f, MFVec3f &)
Events Access
virtual unsigned int | nbEventsIn () const=0
virtual EventInHandle | eventIn (const std::string &n)=0
virtual EventInHandle | eventIn (unsigned int i)=0
virtual unsigned int | nbEventsOut () const=0
virtual EventOutHandle | eventOut (const std::string &n)=0
virtual EventOutHandle | eventOut (unsigned int i)=0
## Static Public Member Functions
static void | copy (const FieldHandle &to, const FieldHandle &from)
## Protected Member Functions
FieldHandle | field (const std::string &n, const FieldTypeId t, void *f)
EventInHandle | eventIn (const std::string &n, const FieldTypeId t, void *f)
EventOutHandle | eventOut (const std::string &n, const FieldTypeId t, void *f)
| FieldHandle (Node *node, const std::string &n, const FieldTypeId t, void *f)
| EventInHandle (Node *node, const std::string &n, const FieldTypeId t, void *f)
| EventOutHandle (Node *node, const std::string &n, const FieldTypeId t, void *f)
## Friends
class | Node

## Detailed Description

This is the base class of all nodes in a VRML scene. This is an abstract so you cannot create an instance of it directly. This base class offers mechanisms to access the fields of a given node. When you have a Node pointer, if you know it's real type you can downcast it to access the fields directly. If you do not know this real type, you may still want to access the fields. Or you may also want to get the name of a field as string of character. All these functionnalities are offered thru the FieldHandle class.

## Constructor & Destructor Documentation

Node | ( | const char * | name = `""` | ) |

~Node | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

wrl::Node * duplicate | ( |  | ) | const`[pure virtual]`

Returns a deep copy of this node, that is a fully independant node with all children (if any) also copied. This is mainly useful for instanciating protos.

Implemented in ProtoDeclaration, ProtoInstance, Script, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

virtual Node* duplicate | ( | std::map< const Node *, Node * > & |  | ) | const`[pure virtual]`

Implemented in ProtoDeclaration, ProtoInstance, Script, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

wrl::Node::FieldHandle field | ( | const std::string & | n | ) | `[pure virtual]`

Return a handle on the field named `n` of the node or a "unknown" typed handle if there is no such node.

Implemented in DeclaredNode, Script, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

unsigned int nbFields | ( |  | ) | const`[pure virtual]`

Return the number of fields (exposed or not) of the node type. Each field has a unique name and an unique number associated, which allows to retrieve the field value either by its name or a number (for sequential traversal of all fields for example). Each node specifies in its documentation the relation of names and numbers.

Implemented in DeclaredNode, Script, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

wrl::Node::FieldHandle field | ( | unsigned int | i | ) | `[pure virtual]`

Return a handle on the `ith` field of the node or a "unknown" typed handle if there is no such node. See nbFields() to find the number of fields.

Implemented in DeclaredNode, Script, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

virtual bool isSetToDefaultValue | ( | unsigned int | i | ) | const`[pure virtual]`

Implemented in ProtoDeclaration, ProtoInstance, Script, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

void setField | ( | const FieldHandle & | f,
|  | const SFBool & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFColor & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFFloat & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFImage & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFInt32 & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFNode & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFRotation & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFString & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFTime & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFVec2f & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFVec3f & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFColor & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFFloat & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFInt32 & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFNode & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFRotation & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFString & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFTime & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFVec2f & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFVec3f & |  |
| ) |  |  | `[virtual]`

void swapField | ( | const FieldHandle & | f,
|  | MFColor & |  |
| ) |  |  |

void swapField | ( | const FieldHandle & | f,
|  | MFFloat & |  |
| ) |  |  |

void swapField | ( | const FieldHandle & | f,
|  | MFInt32 & |  |
| ) |  |  |

void swapField | ( | const FieldHandle & | f,
|  | MFNode & |  |
| ) |  |  |

void swapField | ( | const FieldHandle & | f,
|  | MFRotation & |  |
| ) |  |  |

void swapField | ( | const FieldHandle & | f,
|  | MFString & |  |
| ) |  |  |

void swapField | ( | const FieldHandle & | f,
|  | MFTime & |  |
| ) |  |  |

void swapField | ( | const FieldHandle & | f,
|  | MFVec2f & |  |
| ) |  |  |

void swapField | ( | const FieldHandle & | f,
|  | MFVec3f & |  |
| ) |  |  |

virtual unsigned int nbEventsIn | ( |  | ) | const`[pure virtual]`

Implemented in DeclaredNode, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

virtual EventInHandle eventIn | ( | const std::string & | n | ) | `[pure virtual]`

Implemented in DeclaredNode, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

virtual EventInHandle eventIn | ( | unsigned int | i | ) | `[pure virtual]`

Implemented in DeclaredNode, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

virtual unsigned int nbEventsOut | ( |  | ) | const`[pure virtual]`

Implemented in DeclaredNode, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

virtual EventOutHandle eventOut | ( | const std::string & | n | ) | `[pure virtual]`

Implemented in DeclaredNode, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

virtual EventOutHandle eventOut | ( | unsigned int | i | ) | `[pure virtual]`

Implemented in DeclaredNode, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

bool hasName | ( |  | ) | const`[inline]`

Return true if the node has a name, defined thru a DEF directive in a VRML file of with the setName command.

const char * name | ( |  | ) | const`[inline]`

Return the name of the node, defined thru a DEF directive in a VRML file of with the setName command.

void setName | ( | const char * | n | ) |

Set the name of the node. If a node has a name, it will generate a DEF directive when printed, .

virtual const char* typeName | ( |  | ) | const`[pure virtual]`

Implemented in ProtoDeclaration, ProtoInstance, Script, Anchor, Appearance, AudioClip, Background, Billboard, Box, Collision, Color, ColorInterpolator, Cone, Contour2D, Coordinate, CoordinateDeformer, CoordinateInterpolator, Cylinder, CylinderSensor, DirectionalLight, ElevationGrid, Extrusion, Fog, FontStyle, GeoCoordinate, GeoElevationGrid, GeoLocation, GeoLOD, GeoMetadata, GeoOrigin, GeoPositionInterpolator, GeoTouchSensor, GeoViewpoint, Group, ImageTexture, IndexedFaceSet, IndexedLineSet, Inline, InlineLoadControl, LOD, Material, MovieTexture, NavigationInfo, Normal, NormalInterpolator, NurbsCurve, NurbsCurve2D, NurbsGroup, NurbsPositionInterpolator, NurbsSurface, NurbsTextureSurface, OrientationInterpolator, PixelTexture, PlaneSensor, PointLight, PointSet, Polyline2D, PositionInterpolator, ProximitySensor, ScalarInterpolator, Shape, Sound, Sphere, SphereSensor, SpotLight, Switch, Text, TextureCoordinate, TextureTransform, TimeSensor, TouchSensor, Transform, TrimmedSurface, Viewpoint, VisibilitySensor, and WorldInfo.

FieldHandle field | ( | const std::string & | n,
|  | const FieldTypeId | t,
|  | void * | f |
| ) |  |  | `[protected]`

EventInHandle eventIn | ( | const std::string & | n,
|  | const FieldTypeId | t,
|  | void * | f |
| ) |  |  | `[protected]`

EventOutHandle eventOut | ( | const std::string & | n,
|  | const FieldTypeId | t,
|  | void * | f |
| ) |  |  | `[protected]`

FieldHandle | ( |  | ) | `[inline]`

FieldTypeId fieldTypeId | ( |  | ) | const`[inline]`

Node* node | ( |  | ) | const`[inline]`

const char* fieldName | ( |  | ) | const`[inline]`

const char* fieldTypeName | ( |  | ) | const

bool isExposed | ( |  | ) | const`[inline]`

SFBool* sfBoolValue | ( |  | ) | const`[inline]`

SFColor* sfColorValue | ( |  | ) | const`[inline]`

SFFloat* sfFloatValue | ( |  | ) | const`[inline]`

SFImage* sfImageValue | ( |  | ) | const`[inline]`

SFInt32* sfInt32Value | ( |  | ) | const`[inline]`

SFNode* sfNodeValue | ( |  | ) | const`[inline]`

SFRotation* sfRotationValue | ( |  | ) | const`[inline]`

SFString* sfStringValue | ( |  | ) | const`[inline]`

SFTime* sfTimeValue | ( |  | ) | const`[inline]`

SFVec2f* sfVec2fValue | ( |  | ) | const`[inline]`

SFVec3f* sfVec3fValue | ( |  | ) | const`[inline]`

MFColor* mfColorValue | ( |  | ) | const`[inline]`

MFFloat* mfFloatValue | ( |  | ) | const`[inline]`

MFInt32* mfInt32Value | ( |  | ) | const`[inline]`

MFNode* mfNodeValue | ( |  | ) | const`[inline]`

MFRotation* mfRotationValue | ( |  | ) | const`[inline]`

MFString* mfStringValue | ( |  | ) | const`[inline]`

MFTime* mfTimeValue | ( |  | ) | const`[inline]`

MFVec2f* mfVec2fValue | ( |  | ) | const`[inline]`

MFVec3f* mfVec3fValue | ( |  | ) | const`[inline]`

bool operator== | ( | const FieldHandle & | h | ) | const

bool operator!= | ( | const FieldHandle & | h | ) | const

static void copy | ( | const FieldHandle & | to,
|  | const FieldHandle & | from |
| ) |  |  | `[static]`

FieldHandle | ( | Node * | node,
|  | const std::string & | n,
|  | const FieldTypeId | t,
|  | void * | f |
| ) |  |  | `[protected]`

EventInHandle | ( |  | ) | `[inline]`

FieldTypeId fieldTypeId | ( |  | ) | const`[inline]`

Node* node | ( |  | ) | const`[inline]`

const char* fieldName | ( |  | ) | const`[inline]`

const char* fieldTypeName | ( |  | ) | const

EventIn<SFBool>* sfBoolValue | ( |  | ) | const`[inline]`

EventIn<SFColor>* sfColorValue | ( |  | ) | const`[inline]`

EventIn<SFFloat>* sfFloatValue | ( |  | ) | const`[inline]`

EventIn<SFImage>* sfImageValue | ( |  | ) | const`[inline]`

EventIn<SFInt32>* sfInt32Value | ( |  | ) | const`[inline]`

EventIn<SFNode>* sfNodeValue | ( |  | ) | const`[inline]`

EventIn<SFRotation>* sfRotationValue | ( |  | ) | const`[inline]`

EventIn<SFString>* sfStringValue | ( |  | ) | const`[inline]`

EventIn<SFTime>* sfTimeValue | ( |  | ) | const`[inline]`

EventIn<SFVec2f>* sfVec2fValue | ( |  | ) | const`[inline]`

EventIn<SFVec3f>* sfVec3fValue | ( |  | ) | const`[inline]`

EventIn<MFColor>* mfColorValue | ( |  | ) | const`[inline]`

EventIn<MFFloat>* mfFloatValue | ( |  | ) | const`[inline]`

EventIn<MFInt32>* mfInt32Value | ( |  | ) | const`[inline]`

EventIn<MFNode>* mfNodeValue | ( |  | ) | const`[inline]`

EventIn<MFRotation>* mfRotationValue | ( |  | ) | const`[inline]`

EventIn<MFString>* mfStringValue | ( |  | ) | const`[inline]`

EventIn<MFTime>* mfTimeValue | ( |  | ) | const`[inline]`

EventIn<MFVec2f>* mfVec2fValue | ( |  | ) | const`[inline]`

EventIn<MFVec3f>* mfVec3fValue | ( |  | ) | const`[inline]`

bool operator== | ( | const EventInHandle & | h | ) | const

bool operator!= | ( | const EventInHandle & | h | ) | const

EventInHandle | ( | Node * | node,
|  | const std::string & | n,
|  | const FieldTypeId | t,
|  | void * | f |
| ) |  |  | `[protected]`

EventOutHandle | ( |  | ) | `[inline]`

FieldTypeId fieldTypeId | ( |  | ) | const`[inline]`

Node* node | ( |  | ) | const`[inline]`

const char* fieldName | ( |  | ) | const`[inline]`

const char* fieldTypeName | ( |  | ) | const

EventOut<SFBool>* sfBoolValue | ( |  | ) | const`[inline]`

EventOut<SFColor>* sfColorValue | ( |  | ) | const`[inline]`

EventOut<SFFloat>* sfFloatValue | ( |  | ) | const`[inline]`

EventOut<SFImage>* sfImageValue | ( |  | ) | const`[inline]`

EventOut<SFInt32>* sfInt32Value | ( |  | ) | const`[inline]`

EventOut<SFNode>* sfNodeValue | ( |  | ) | const`[inline]`

EventOut<SFRotation>* sfRotationValue | ( |  | ) | const`[inline]`

EventOut<SFString>* sfStringValue | ( |  | ) | const`[inline]`

EventOut<SFTime>* sfTimeValue | ( |  | ) | const`[inline]`

EventOut<SFVec2f>* sfVec2fValue | ( |  | ) | const`[inline]`

EventOut<SFVec3f>* sfVec3fValue | ( |  | ) | const`[inline]`

EventOut<MFColor>* mfColorValue | ( |  | ) | const`[inline]`

EventOut<MFFloat>* mfFloatValue | ( |  | ) | const`[inline]`

EventOut<MFInt32>* mfInt32Value | ( |  | ) | const`[inline]`

EventOut<MFNode>* mfNodeValue | ( |  | ) | const`[inline]`

EventOut<MFRotation>* mfRotationValue | ( |  | ) | const`[inline]`

EventOut<MFString>* mfStringValue | ( |  | ) | const`[inline]`

EventOut<MFTime>* mfTimeValue | ( |  | ) | const`[inline]`

EventOut<MFVec2f>* mfVec2fValue | ( |  | ) | const`[inline]`

EventOut<MFVec3f>* mfVec3fValue | ( |  | ) | const`[inline]`

bool operator== | ( | const EventOutHandle & | h | ) | const

bool operator!= | ( | const EventOutHandle & | h | ) | const

EventOutHandle | ( | Node * | node,
|  | const std::string & | n,
|  | const FieldTypeId | t,
|  | void * | f |
| ) |  |  | `[protected]`

## Friends And Related Function Documentation

Node`[friend]`

Generated on 5 Jan 2007 with version 1.5.1. |